# scr_printf.c File Reference

`#include <stdio.h>`
`#include <psptypes.h>`
`#include <pspkernel.h>`
`#include <pspdisplay.h>`
`#include <pspge.h>`
`#include <stdarg.h>`
`#include <pspdebug.h>`

Include dependency graph for scr_printf.c:

## Defines

#define | PSP_SCREEN_WIDTH 480
#define | PSP_SCREEN_HEIGHT 272
#define | PSP_LINE_SIZE 512
#define | PSP_PIXEL_FORMAT 3

## Functions

void | pspDebugScreenInit ()
| Initialise the debug screen.
void | pspDebugScreenSetBackColor (u32 colour)
| Set the background color for the text.
void | pspDebugScreenSetTextColor (u32 colour)
| Set the text color.
void | pspDebugScreenPutChar (int x, int y, u32 color, u8 ch)
| Draw a single character to the screen.
int | pspDebugScreenPrintData (const char *buff, int size)
| Print non-nul terminated strings.
void | pspDebugScreenPrintf (const char *format,...)
void | pspDebugScreenSetXY (int x, int y)
| Set the current X and Y co-ordinate for the screen (in character units).
int | pspDebugScreenGetX ()
| Get the current X co-ordinate (in character units).
int | pspDebugScreenGetY ()
| Get the current Y co-ordinate (in character units).
void | pspDebugScreenClear ()
| Clear the debug screen.

## Variables

u8 | msx []

## Define Documentation

#define PSP_LINE_SIZE 512

#define PSP_PIXEL_FORMAT 3

#define PSP_SCREEN_HEIGHT 272

#define PSP_SCREEN_WIDTH 480

## Function Documentation

void pspDebugScreenPrintf | ( | const char * | format,
|  |  | ...
| ) |

## Variable Documentation

u8 msx[]